# Uses of Enum Class
org.apache.lucene.backward_codecs.lucene50.Lucene50StoredFieldsFormat.Mode

Packages that use Lucene50StoredFieldsFormat.Mode
Package
Description
org.apache.lucene.backward_codecs.lucene50
Lucene 5.0 file format.
org.apache.lucene.backward_codecs.lucene84
Lucene 8.4 file format.
org.apache.lucene.backward_codecs.lucene86
Lucene 8.6 file format.

- ## Uses of Lucene50StoredFieldsFormat.Mode in org.apache.lucene.backward_codecs.lucene50

  Methods in org.apache.lucene.backward_codecs.lucene50 that return Lucene50StoredFieldsFormat.Mode
  Modifier and Type
  Method
  Description
  `static Lucene50StoredFieldsFormat.Mode`
  Lucene50StoredFieldsFormat.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene50StoredFieldsFormat.Mode[]`
  Lucene50StoredFieldsFormat.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.backward_codecs.lucene50 with parameters of type Lucene50StoredFieldsFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene50StoredFieldsFormat(Lucene50StoredFieldsFormat.Mode mode)`
  Stored fields format with specified mode

- ## Uses of Lucene50StoredFieldsFormat.Mode in org.apache.lucene.backward_codecs.lucene84

  Constructors in org.apache.lucene.backward_codecs.lucene84 with parameters of type Lucene50StoredFieldsFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene84Codec(Lucene50StoredFieldsFormat.Mode mode)`
  Instantiates a new codec, specifying the stored fields compression mode to use.

- ## Uses of Lucene50StoredFieldsFormat.Mode in org.apache.lucene.backward_codecs.lucene86

  Constructors in org.apache.lucene.backward_codecs.lucene86 with parameters of type Lucene50StoredFieldsFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene86Codec(Lucene50StoredFieldsFormat.Mode mode)`
  Instantiates a new codec, specifying the stored fields compression mode to use.